Page MenuHomeLubuntu Development

Provide complete mimeapps.list
Closed, ResolvedPublic

Description

See Launchpad bug but tl;dr we had a complete defaults.list but stopped shipping it and so the GNOME one wins. Ew.

Hasn't been done afaik but I mentioned to @The_LoudSpeaker that this might be a good first packaging task. I'll try to work with him to get something going.

Event Timeline

kc2bez triaged this task as Unbreak Now! priority.Mar 19 2019, 5:07 AM
kc2bez created this task.
kc2bez added a parent task: T1: Lubuntu 19.04.

As far as I understand, I have to pickup the mimeapps.list from 18.04 and put it in place of /etc/xdg/xdg-lubuntu/mimeapps.list in lubuntu-default-settings. obviously along with some edits. Am I right?

I don't think is the best strategy. Between 18.04 and 19.04 there are a lot of different programs. I think the best strategies is to look if all the mimetypes of 18.04 are present and the ones that are not add. It with the new program

tsimonq2 changed the visibility from "All Users" to "Public (No Login Required)".Mar 30 2019, 2:37 PM
tsimonq2 changed the edit policy from "All Users" to "Custom Policy".
kc2bez added a subscriber: wxl.Mar 30 2019, 3:37 PM

Thanks to @wxl here is a link to the bug

tsimonq2 updated the task description. (Show Details)Apr 8 2019, 8:10 AM

I need to know whether this should be a release blocker or not.

Is there a compelling reason to not punt this to 19.10?

wxl added a comment.Apr 8 2019, 9:24 AM

It is important enough and easy enough that I would say we need to fix this before release. Assign to me if need be and I'll get it done.

tsimonq2 reassigned this task from The_LoudSpeaker to wxl.Apr 8 2019, 9:33 AM
tsimonq2 added a subscriber: The_LoudSpeaker.

Sorry Raman, we're a week away from release and need this done quickly.

I will do it. Installing 18.04 tonight to get the mimeapps.list

wxl added a comment.Apr 8 2019, 12:13 PM

Thanks for getting this done @The_LoudSpeaker

Done from my side. The file is ready. Waiting for instructions to push it to you.

wxl added a comment.Apr 8 2019, 4:50 PM

@The_LoudSpeaker you might want to just include the file here. Parsing this old wiki data is kind of a pain. That way if you're tied up, one of us can still finish it up.

@wxl I want to complete it by myself. I am a bit busy today and tomorrow. If you could wait 2 days. I will send it here if you guys are in a hurry.

remeber we added qapt-deb-installer for .deb

@wxl I want to complete it by myself. I am a bit busy today and tomorrow. If you could wait 2 days. I will send it here if you guys are in a hurry.

Thursday morning US time is the deadline; if you can't get it here beforehand, please pass it off. ๐Ÿ˜„

In T3#502, @tsimonq2 wrote:

@wxl I want to complete it by myself. I am a bit busy today and tomorrow. If you could wait 2 days. I will send it here if you guys are in a hurry.

Thursday morning US time is the deadline; if you can't get it here beforehand, please pass it off. ๐Ÿ˜„

I will get it done. Lite.

The_LoudSpeaker closed this task as Resolved.Apr 10 2019, 6:45 PM

Done and dusted!

The_LoudSpeaker reopened this task as Open.Apr 10 2019, 6:48 PM

It landed in the release pocket an hour ago. Please, someone upgrade to it and test it ASAP.

wxl added a comment.EditedApr 12 2019, 5:22 PM

Downloaded a sample image, pdf, and two videos. Opened in pcmanfm-qt and double clicked and they opened in lximage, qpdfview, and vlc, respectively. Then opened a terminal and used xdg-open with the same results except on one of the two videos, a webm, which opened in firefox. I think video/webm is the right mimetype from what I can tell if you want to add that on as an additional plus, but looks like the solution as intended is effective. Good job, @The_LoudSpeaker!

wxl closed this task as Resolved.Apr 12 2019, 5:23 PM